package com.ruoyi.screen.service;

import com.ruoyi.screen.domain.response.*;

import java.util.List;

/**
 * 大屏网络安全业务层
 */
public interface ZongzhiScreenSaftyService {

    /**
     * 查询来源数据
     */
    public List<ZongzhiSourceResponse> getSource();


    /**
     * 安全检测数据统计
     */
    public List<ZongzhiSafetyResponse> getsafety();


    /**
     * 安全检测数据列表
     */
    public List<ZongzhiSafetyListResponse> getSafetyList();


    /**
     * 安全检测监管对象
     */
    public List<ZongzhiSuperviseResponse> getsupervise();


    /**
     * 各地区攻击次数
     */
    public List<ZongzhiAttackResponse> getAttack();



    /**
     * 受攻击情况Top5及分布情况
     */
    public List<ZongzhiUnAttackResponse> getUnAttackTop();




    /**
     * 安全隐患
     */
    public List<ZongzhiSafetyHazardResponse> getSafetyHazard();


    /**
     * 隐患处置最新隐患
     */
    public List<ZongzhiHazardDisposalResponse> getHazardDisposal();



    /**
     * 隐患处置通报处置
     */
    public List<ZongzhiNotificationResponse> getNotification();



    /**
     * 通报统计属地通报
     */
    public List<ZongzhiTbAreaResponse> getTbArea();



    /**
     * 通报统计属地通报
     */
    public List<ZongzhiTbDeptResponse> getTbDept();



    /**
     * 通报完成
     */
    public List<ZongzhiTbDeptCompleteResponse> getTbDeptComplet();


}
